-- DROP TABLE FEDLOGDB.NMCRL_ORG_UNSPSC CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_UNSPSC
(
  NCAGE   VARCHAR2(5 BYTE)                      NOT NULL,
  UNSPSC  VARCHAR2(50 CHAR)                     NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_UNSPSC ON FEDLOGDB.NMCRL_ORG_UNSPSC
(NCAGE, UNSPSC);

ALTER TABLE FEDLOGDB.NMCRL_ORG_UNSPSC ADD (
  CONSTRAINT P_NMCRL_ORG_UNSPSC
  PRIMARY KEY
  (NCAGE, UNSPSC)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_UNSPSC
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_UNSPSC_NCAGE ON FEDLOGDB.NMCRL_ORG_UNSPSC
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_UNSPSC ADD (
  CONSTRAINT F_NMCRLORGUNSPSC_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
